Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Routines

Create or update a routine

PUT /routines/{routine_name}

Creates a new routine or replaces an existing routine with the supplied definition.

Paramètres d’en-tête

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

Paramètres de chemin d’accès

routine_name string obligatoire

The unique name of the routine.

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Corps de la demande

Content-Type: application/json
description string

A human-readable description of the routine.

enabled boolean

Whether the routine is enabled.

triggers object

The triggers configured for the routine. In v1, exactly one trigger entry is supported.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

Celui-ci peut avoir l'une des valeurs suivantes :
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum obligatoire

The trigger type.

schedule
cron_expression string obligatoire

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string obligatoire

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum obligatoire

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum obligatoire

The trigger type.

github_issue
connection_id string obligatoire

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string obligatoire

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string obligatoire

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum obligatoire

Known GitHub issue events that can fire a routine.

Un des éléments suivants :
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum obligatoire

The trigger type.

custom
provider string obligatoire

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object obligatoire

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

Celui-ci peut avoir l'une des valeurs suivantes :
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum obligatoire

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum obligatoire

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

authorization RoutineAuthorization

Optional authorization configuration for a routine dispatch.

identity string | enum

The supported identities for routine dispatch authorization.

Un des éléments suivants :
string
enum
agentcreator

Réponses

The request has succeeded.

Corps

Content-Type: application/json
name string

The routine name.

description string

A human-readable description of the routine.

enabled boolean obligatoire

Whether the routine is enabled.

triggers object

The triggers configured for the routine.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

Celui-ci peut avoir l'une des valeurs suivantes :
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum obligatoire

The trigger type.

schedule
cron_expression string obligatoire

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string obligatoire

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum obligatoire

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum obligatoire

The trigger type.

github_issue
connection_id string obligatoire

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string obligatoire

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string obligatoire

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum obligatoire

Known GitHub issue events that can fire a routine.

Un des éléments suivants :
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum obligatoire

The trigger type.

custom
provider string obligatoire

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object obligatoire

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

Celui-ci peut avoir l'une des valeurs suivantes :
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum obligatoire

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum obligatoire

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

created_at integer
updated_at integer

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Requête

PUT /routines/{routine_name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026